CVE-2021-28676

NameCVE-2021-28676
DescriptionAn issue was discovered in Pillow before 8.2.0. For FLI data, FliDecode did not properly check that the block advance was non-zero, potentially leading to an infinite loop on load.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-2716-1
Debian Bugs989062

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
pillow (PTS)buster5.4.1-2+deb10u3vulnerable
buster (security)5.4.1-2+deb10u4vulnerable
bullseye (security), bullseye8.1.2+dfsg-0.3+deb11u1fixed
bookworm9.4.0-1.1fixed
trixie, sid10.2.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
pillowsourceexperimental8.2.0-1
pillowsourcestretch4.0.0-4+deb9u3DLA-2716-1
pillowsource(unstable)8.1.2+dfsg-0.2989062

Notes

[buster] - pillow <ignored> (Minor issue)
https://pillow.readthedocs.io/en/stable/releasenotes/8.2.0.html#cve-2021-28676-fix-fli-dos
https://github.com/python-pillow/Pillow/commit/bb6c11fb889e6c11b0ee122b828132ee763b5856

Search for package or bug name: Reporting problems